Run of fresh-snapshots for homer-api

Try this locally package):

debcheckout homer-api
cd homer-api
DEB_UPDATE_CHANGELOG=auto deb-new-upstream --snapshot --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
Fixing Format URL
Using upstream branch https://github.com/sipcapture/homer-api.git (guessed)
Total 699 (delta 201), reused 201 (delta 201), pack-reused 498
last found upstream version 5.0.6 (5.0.6) is lower than previous packaged upstream version (5.0.6+dfsg2)
Using version string 5.0.6+git20200212.1.10903b0.
No upstream upstream-revision format specified, trying tag:5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:homer-api-5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:v5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:v.5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:release-5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:5_0_6+dfsg2_release
No upstream upstream-revision format specified, trying tag:5_0_6+dfsg2
No upstream upstream-revision format specified, trying tag:version-5.0.6+dfsg2
No upstream upstream-revision format specified, trying tag:homer-api-5_0_6+dfsg2-release
No upstream upstream-revision format specified, trying tag:homer-api-v5.0.6+dfsg2
Old upstream version '5.0.6+dfsg2' is not present in upstream branch <UpstreamBranchSource for 'https://github.com/sipcapture/homer-api.git/'>. Unable to determine whether upstream history is normally included. Assuming no.
Fixing Format URL
Looking for upstream 5.0.6+git20200212.1.10903b0 in upstream branch <RemoteGitBranch('https://github.com/sipcapture/homer-api.git/', 'master')>.
Running dist command: SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitor9ext9ah7/homer-api/debian
Opened schroot session unstable-amd64-sbuild-cfec5149-ce26-4085-9108-8abe168a456b (from unstable-amd64-sbuild)
apt: running ['apt', '-y', 'satisfy', 'debhelper (>= 9.0.0),\n                debconf,\n                dh-apache2, apache2-dev']
Traceback (most recent call last):
  File "/usr/lib/python3.9/runpy.py", line 197, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.9/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/code/janitor/dist.py", line 128, in <module>
    satisfy_build_deps(session, packaging_tree, packaging_debian_path)
  File "/code/ognibuild/ognibuild/debian/__init__.py", line 41, in satisfy_build_deps
    apt.satisfy(deps)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 138, in satisfy
    run_apt(self.session, ["satisfy"] + deps, prefix=self.prefix)
  File "/code/ognibuild/ognibuild/debian/apt.py", line 60, in run_apt
    raise UnidentifiedError(retcode, args, lines, secondary=match)
ognibuild.UnidentifiedError: (100, ['apt', '-y', 'satisfy', 'debhelper (>= 9.0.0),\n                debconf,\n                dh-apache2, apache2-dev'], ['\n', 'WARNING: apt does not have a stable CLI interface. Use with caution in scripts.\n', '\n', 'Reading package lists...\n', 'Building dependency tree...\n', 'The following NEW packages will be installed:\n', '  apache2-dev autoconf automake autopoint autotools-dev bsdextrautils\n', '  ca-certificates curl debhelper dh-autoreconf dh-strip-nondeterminism dwz\n', '  file gettext gettext-base groff-base intltool-debian libapr1 libapr1-dev\n', '  libaprutil1 libaprutil1-dev libarchive-cpio-perl libarchive-zip-perl\n', '  libbrotli1 libcurl4 libdebhelper-perl libelf1 libexpat1 libexpat1-dev\n', '  libfile-stripnondeterminism-perl libgpm2 libicu67 libldap-2.5-0\n', '  libldap-common libldap-dev libldap2-dev libltdl-dev libltdl7 libmagic-mgc\n', '  libmagic1 libmail-sendmail-perl libmpdec3 libncursesw6 libnghttp2-14\n', '  libpcre2-16-0 libpcre2-32-0 libpcre2-dev libpcre2-posix3 libpipeline1\n', '  libpsl5 libpython3-stdlib libpython3.9-minimal libpython3.9-stdlib\n', '  libreadline8 librtmp1 libsasl2-2 libsasl2-modules libsasl2-modules-db\n', '  libsctp-dev libsctp1 libsigsegv2 libsqlite3-0 libssh2-1 libsub-override-perl\n', '  libsys-hostname-long-perl libtool libuchardet0 libxml2 m4 man-db media-types\n', '  openssl po-debconf publicsuffix python3 python3-minimal python3.9\n', '  python3.9-minimal readline-common sensible-utils uuid-dev\n', '0 upgraded, 81 newly installed, 0 to remove and 0 not upgraded.\n', 'Need to get 32.2 MB of archives.\n', 'After this operation, 123 MB of additional disk space will be used.\n', 'Get:1 http://deb.debian.org/debian unstable/main amd64 libpython3.9-minimal amd64 3.9.11-1 [803 kB]\n', 'Get:2 http://deb.debian.org/debian unstable/main amd64 libexpat1 amd64 2.4.7-1 [109 kB]\n', 'Err:3 http://deb.debian.org/debian unstable/main amd64 python3.9-minimal amd64 3.9.11-1\n', '  404  Not Found [IP: 199.232.150.132 80]\n', 'Get:4 http://deb.debian.org/debian unstable/main amd64 python3-minimal amd64 3.9.8-1 [38.5 kB]\n', 'Get:5 http://deb.debian.org/debian unstable/main amd64 media-types all 7.0.0 [32.9 kB]\n', 'Get:6 http://deb.debian.org/debian unstable/main amd64 libmpdec3 amd64 2.5.1-2 [87.8 kB]\n', 'Get:7 http://deb.debian.org/debian unstable/main amd64 libncursesw6 amd64 6.3-2 [133 kB]\n', 'Get:8 http://deb.debian.org/debian unstable/main amd64 readline-common all 8.1.2-1 [73.8 kB]\n', 'Get:9 http://deb.debian.org/debian unstable/main amd64 libreadline8 amd64 8.1.2-1 [168 kB]\n', 'Err:10 http://deb.debian.org/debian unstable/main amd64 libsqlite3-0 amd64 3.38.1-1\n', '  404  Not Found [IP: 199.232.150.132 80]\n', 'Get:11 http://deb.debian.org/debian unstable/main amd64 libpython3.9-stdlib amd64 3.9.11-1 [1683 kB]\n', 'Get:12 http://deb.debian.org/debian unstable/main amd64 python3.9 amd64 3.9.11-1 [491 kB]\n', 'Get:13 http://deb.debian.org/debian unstable/main amd64 libpython3-stdlib amd64 3.9.8-1 [21.6 kB]\n', 'Get:14 http://deb.debian.org/debian unstable/main amd64 python3 amd64 3.9.8-1 [38.1 kB]\n', 'Get:15 http://deb.debian.org/debian unstable/main amd64 sensible-utils all 0.0.17 [21.5 kB]\n', 'Get:16 http://deb.debian.org/debian unstable/main amd64 openssl amd64 1.1.1n-1 [853 kB]\n', 'Get:17 http://deb.debian.org/debian unstable/main amd64 ca-certificates all 20211016 [156 kB]\n', 'Get:18 http://deb.debian.org/debian unstable/main amd64 libmagic-mgc amd64 1:5.41-2 [295 kB]\n', 'Get:19 http://deb.debian.org/debian unstable/main amd64 libmagic1 amd64 1:5.41-2 [129 kB]\n', 'Get:20 http://deb.debian.org/debian unstable/main amd64 file amd64 1:5.41-2 [66.9 kB]\n', 'Get:21 http://deb.debian.org/debian unstable/main amd64 gettext-base amd64 0.21-4 [175 kB]\n', 'Get:22 http://deb.debian.org/debian unstable/main amd64 libuchardet0 amd64 0.0.7-1 [67.8 kB]\n', 'Get:23 http://deb.debian.org/debian unstable/main amd64 groff-base amd64 1.22.4-8 [936 kB]\n', 'Get:24 http://deb.debian.org/debian unstable/main amd64 bsdextrautils amd64 2.37.3-1+b1 [144 kB]\n', 'Get:25 http://deb.debian.org/debian unstable/main amd64 libpipeline1 amd64 1.5.5-1 [37.6 kB]\n', 'Get:26 http://deb.debian.org/debian unstable/main amd64 man-db amd64 2.10.2-1 [1411 kB]\n', 'Get:27 http://deb.debian.org/debian unstable/main amd64 autotools-dev all 20220109.1 [51.6 kB]\n', 'Get:28 http://deb.debian.org/debian unstable/main amd64 libsigsegv2 amd64 2.14-1 [37.2 kB]\n', 'Get:29 http://deb.debian.org/debian unstable/main amd64 m4 amd64 1.4.18-5 [204 kB]\n', 'Get:30 http://deb.debian.org/debian unstable/main amd64 autoconf all 2.71-2 [343 kB]\n', 'Get:31 http://deb.debian.org/debian unstable/main amd64 automake all 1:1.16.5-1.3 [823 kB]\n', 'Get:32 http://deb.debian.org/debian unstable/main amd64 autopoint all 0.21-4 [510 kB]\n', 'Get:33 http://deb.debian.org/debian unstable/main amd64 libdebhelper-perl all 13.6 [193 kB]\n', 'Err:34 http://deb.debian.org/debian unstable/main amd64 libtool all 2.4.7-1\n', '  404  Not Found [IP: 199.232.150.132 80]\n', 'Get:35 http://deb.debian.org/debian unstable/main amd64 dh-autoreconf all 20 [17.1 kB]\n', 'Get:36 http://deb.debian.org/debian unstable/main amd64 libarchive-zip-perl all 1.68-1 [104 kB]\n', 'Get:37 http://deb.debian.org/debian unstable/main amd64 libsub-override-perl all 0.09-2 [10.2 kB]\n', 'Get:38 http://deb.debian.org/debian unstable/main amd64 libfile-stripnondeterminism-perl all 1.13.0-1 [26.6 kB]\n', 'Get:39 http://deb.debian.org/debian unstable/main amd64 dh-strip-nondeterminism all 1.13.0-1 [15.8 kB]\n', 'Get:40 http://deb.debian.org/debian unstable/main amd64 libelf1 amd64 0.186-1 [179 kB]\n', 'Get:41 http://deb.debian.org/debian unstable/main amd64 dwz amd64 0.14-1 [98.3 kB]\n', 'Get:42 http://deb.debian.org/debian unstable/main amd64 libicu67 amd64 67.1-7 [8622 kB]\n', 'Get:43 http://deb.debian.org/debian unstable/main amd64 libxml2 amd64 2.9.13+dfsg-1 [709 kB]\n', 'Get:44 http://deb.debian.org/debian unstable/main amd64 gettext amd64 0.21-4 [1311 kB]\n', 'Get:45 http://deb.debian.org/debian unstable/main amd64 intltool-debian all 0.35.0+20060710.5 [26.8 kB]\n', 'Get:46 http://deb.debian.org/debian unstable/main amd64 po-debconf all 1.0.21+nmu1 [248 kB]\n', 'Get:47 http://deb.debian.org/debian unstable/main amd64 debhelper all 13.6 [1054 kB]\n', 'Get:48 http://deb.debian.org/debian unstable/main amd64 libapr1 amd64 1.7.0-8 [106 kB]\n', 'Get:49 http://deb.debian.org/debian unstable/main amd64 uuid-dev amd64 2.37.3-1+b1 [96.6 kB]\n', 'Get:50 http://deb.debian.org/debian unstable/main amd64 libsctp1 amd64 1.0.19+dfsg-1 [29.5 kB]\n', 'Get:51 http://deb.debian.org/debian unstable/main amd64 libsctp-dev amd64 1.0.19+dfsg-1 [72.0 kB]\n', 'Get:52 http://deb.debian.org/debian unstable/main amd64 libapr1-dev amd64 1.7.0-8 [747 kB]\n', 'Get:53 http://deb.debian.org/debian unstable/main amd64 libaprutil1 amd64 1.6.1-5+b1 [92.1 kB]\n', 'Get:54 http://deb.debian.org/debian unstable/main amd64 libsasl2-modules-db amd64 2.1.28+dfsg-2+b1 [74.5 kB]\n', 'Get:55 http://deb.debian.org/debian unstable/main amd64 libsasl2-2 amd64 2.1.28+dfsg-2+b1 [111 kB]\n', 'Get:56 http://deb.debian.org/debian unstable/main amd64 libldap-2.5-0 amd64 2.5.11+dfsg-1 [226 kB]\n', 'Get:57 http://deb.debian.org/debian unstable/main amd64 libldap-dev amd64 2.5.11+dfsg-1 [339 kB]\n', 'Get:58 http://deb.debian.org/debian unstable/main amd64 libldap2-dev all 2.5.11+dfsg-1 [64.8 kB]\n', 'Get:59 http://deb.debian.org/debian unstable/main amd64 libexpat1-dev amd64 2.4.7-1 [159 kB]\n', 'Get:60 http://deb.debian.org/debian unstable/main amd64 libaprutil1-dev amd64 1.6.1-5+b1 [408 kB]\n', 'Get:61 http://deb.debian.org/debian unstable/main amd64 libpcre2-16-0 amd64 10.39-3 [237 kB]\n', 'Get:62 http://deb.debian.org/debian unstable/main amd64 libpcre2-32-0 amd64 10.39-3 [225 kB]\n', 'Get:63 http://deb.debian.org/debian unstable/main amd64 libpcre2-posix3 amd64 10.39-3 [52.2 kB]\n', 'Get:64 http://deb.debian.org/debian unstable/main amd64 libpcre2-dev amd64 10.39-3 [734 kB]\n', 'Get:65 http://deb.debian.org/debian unstable/main amd64 apache2-dev amd64 2.4.53-2 [362 kB]\n', 'Get:66 http://deb.debian.org/debian unstable/main amd64 libbrotli1 amd64 1.0.9-2+b3 [276 kB]\n', 'Get:67 http://deb.debian.org/debian unstable/main amd64 libnghttp2-14 amd64 1.43.0-1 [77.1 kB]\n', 'Get:68 http://deb.debian.org/debian unstable/main amd64 libpsl5 amd64 0.21.0-1.2 [57.3 kB]\n', 'Get:69 http://deb.debian.org/debian unstable/main amd64 librtmp1 amd64 2.4+20151223.gitfa8646d.1-2+b2 [60.8 kB]\n', 'Get:70 http://deb.debian.org/debian unstable/main amd64 libssh2-1 amd64 1.10.0-3 [178 kB]\n', 'Get:71 http://deb.debian.org/debian unstable/main amd64 libcurl4 amd64 7.82.0-2 [357 kB]\n', 'Get:72 http://deb.debian.org/debian unstable/main amd64 curl amd64 7.82.0-2 [285 kB]\n', 'Get:73 http://deb.debian.org/debian unstable/main amd64 libarchive-cpio-perl all 0.10-1.1 [10.6 kB]\n', 'Get:74 http://deb.debian.org/debian unstable/main amd64 libgpm2 amd64 1.20.7-10 [35.9 kB]\n', 'Get:75 http://deb.debian.org/debian unstable/main amd64 libldap-common all 2.5.11+dfsg-1 [71.5 kB]\n', 'Get:76 http://deb.debian.org/debian unstable/main amd64 libltdl7 amd64 2.4.7-1 [401 kB]\n', 'Get:77 http://deb.debian.org/debian unstable/main amd64 libltdl-dev amd64 2.4.7-1 [164 kB]\n', 'Get:78 http://deb.debian.org/debian unstable/main amd64 libsys-hostname-long-perl all 1.5-2 [11.8 kB]\n', 'Get:79 http://deb.debian.org/debian unstable/main amd64 libmail-sendmail-perl all 0.80-1.1 [25.5 kB]\n', 'Get:80 http://deb.debian.org/debian unstable/main amd64 libsasl2-modules amd64 2.1.28+dfsg-2+b1 [109 kB]\n', 'Get:81 http://deb.debian.org/debian unstable/main amd64 publicsuffix all 20211207.1025-1 [125 kB]\n', 'Fetched 28.9 MB in 11s (2687 kB/s)\n', 'E: Failed to fetch http://deb.debian.org/debian/pool/main/p/python3.9/python3.9-minimal_3.9.11-1_amd64.deb  404  Not Found [IP: 199.232.150.132 80]\n', 'E: Failed to fetch http://deb.debian.org/debian/pool/main/s/sqlite3/libsqlite3-0_3.38.1-1_amd64.deb  404  Not Found [IP: 199.232.150.132 80]\n', 'E: Failed to fetch http://deb.debian.org/debian/pool/main/libt/libtool/libtool_2.4.7-1_all.deb  404  Not Found [IP: 199.232.150.132 80]\n', 'E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?\n', 'E: Failed to process build dependencies\n'])
Command 'SCHROOT=unstable-amd64-sbuild PYTHONPATH=/:/code:/code/breezy:/code/dulwich:/code/lintian-brush:/code/ognibuild:/code/silver-platter:/code/buildlog-consultant:/code/upstream-ontologist:/code/debmutate:/code/python-debian/lib:/usr/lib/python39.zip:/usr/lib/python3.9:/usr/lib/python3.9/lib-dynload:/usr/local/lib/python3.9/dist-packages:/usr/lib/python3/dist-packages /usr/bin/python3 -m janitor.dist --packaging=/tmp/janitor9ext9ah7/homer-api/debian' returned non-zero exit status 1.

Full worker log